TSMIMEHDRFIELDREMOVE(3ts)

NAME
TSMimeHdrFieldRemove - removes the MIME field located at field within bufp from the header located at hdr within bufp

SYNOPSIS

#include <ts/ts.h>

    TSReturnCode TSMimeHdrFieldRemove(TSMBuffer bufp, TSMLoc hdr, TSMLoc field)

DESCRIPTION

If the specified field cannot be found in the list of fields associated with the header then nothing is done.

NOTE:
        removing the field does not destroy the field, it only detaches the field, hiding it from the printed output. The field can be reattached with a call to TSMimeHdrFieldAppend(). If you do not use the detached field you should destroy it with a call to TSMimeHdrFieldDestroy() and release the handle field with a call to TSHandleMLocRelease().

COPYRIGHT
2014, dev@trafficserver.apache.org